Migrating icCube : 7.5 to 7.6

icCube 7.6 is a maintenance release that is backward compatible with icCube 7.5.

IMPORTANT: Since v7.4 icCube is using CSRF Token to mitigate CSRF attacks and as such requires a reporting v7.4 at least. You still can disable this setup (via icCube.xml) if you cannot upgrade yet the reporting application. Check the csrfOff properties in the file icCube.xml and/or contact us for more details.

IMPORTANT: Since v7.1 icCube has moved to Java 11 and onwards (Open JDK of Zulu). The code is still compiled (bytecode generation) using Java 8 so it will be compatible on all JRE/JDK from Java 8. From Java 8, Oracle's JRE is not longer free, so unless you have a commercial agreement do not use it in a production environment. You can move to other free JRE like Zulu or OpenJDK.